PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
PRFC1155_ApplicationSyntax Class Reference

`#include <rfc1155.h>`

Inherits PASN_Choice.

## Public Types
enum | Choices { e_counter = 1, e_gauge, e_ticks, e_arbitrary }

## Public Member Functions
| PRFC1155_ApplicationSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PRFC1155_NetworkAddress & ()
| operator const PRFC1155_NetworkAddress & () const
| operator PRFC1155_Counter & ()
| operator const PRFC1155_Counter & () const
| operator PRFC1155_Gauge & ()
| operator const PRFC1155_Gauge & () const
| operator PRFC1155_TimeTicks & ()
| operator const PRFC1155_TimeTicks & () const
| operator PRFC1155_Opaque & ()
| operator const PRFC1155_Opaque & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum PRFC1155_ApplicationSyntax::Choices

Enumerator
e_counter |
e_gauge |
e_ticks |
e_arbitrary |

## Constructor & Destructor Documentation

PRFC1155_ApplicationSyntax::PRFC1155_ApplicationSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PRFC1155_ApplicationSyntax::Clone | ( |  | ) | const

PBoolean PRFC1155_ApplicationSyntax::CreateObject | ( |  | ) |

PRFC1155_ApplicationSyntax::operator const PRFC1155_Counter & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_Gauge & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_NetworkAddress & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_Opaque & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_TimeTicks & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator PRFC1155_Counter & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_Gauge & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_NetworkAddress & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_Opaque & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_TimeTicks & | ( |  | ) |

The documentation for this class was generated from the following file:

- rfc1155.h